
Redmine - Defect #2392

"Planning" is not displayed in the links of sidebar of "Issues"

2008-12-24 02:41 - ko simo

Status: Closed Start date: 2008-12-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Thank you for developing such a wonderful tool.

I wanted to have the link of "Planning" displayed in "Issues" by linking on side-bar as well as "Overview", and the tag of

"Planning_links" existed when I confirmed "App/views/issues/_sidebar.rhtml".

I deleted the 9-17th line, and inserted the following in the first line.

("Planning" was moved most up because of thinking that that is more natural. )

<% planning_links = []

  planning_links << link_to_if_authorized(l(:label_calendar), :controller => 'issues', :action => 

'calendar', :project_id => @project)

  planning_links << link_to_if_authorized(l(:label_gantt), :controller => 'issues', :action => 'ga

ntt', :project_id => @project)

  planning_links.compact!

  unless planning_links.empty? %>

<h3><%= l(:label_planning) %></h3>

<%= planning_links.join(' | ') %>

<%= call_hook(:view_issues_sidebar_planning_bottom) %>

<% end %>

 A part of of this to quote from the 59-66th line of "App/views/projects/show.rhtml", and is putting of the hand.

Though it might be not correct.

Especially, part of "Aaa""call_hook...".

Redmine version           0.8-stable r2146

Ruby version              1.8.6 (i486-linux)

RubyGems version          1.1.1

Rails version             2.1.1

History

#1 - 2008-12-24 03:01 - ko simo

Especially, part of "Aaa""call_hook...".

 "Aaa" :I forgot to erase.

#2 - 2008-12-29 13:47 - Jean-Philippe Lang

I'm not able to reproduce this problem. These links are properly displayed if the user has the appropriate permissions.

Please give the exact steps to reproduce.

#3 - 2009-01-05 10:28 - ko simo

I'm very sory.

There was no problem when 0.8.0 was set up and confirmed.

It troubled you.

#4 - 2009-02-26 05:18 - Brad Rushworth
https://www.redmine.org/projects/redmine/repository/svn/revisions/2146


- Status changed from New to Resolved

Seems the problem was corrected.

#5 - 2010-10-18 06:35 - Mischa The Evil

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback.
